Home Download Buy Blog Forum Support

Where can I download Build 2181 again?

Where can I download Build 2181 again?

Postby dsaputo on Wed Aug 01, 2012 3:06 pm

I have custom commands that depend on os.startfile() to work. They've been broken in 2.0.0 and 2.0.1, and I do not have build 2181 in my Downloads directory anymore. I've been a licenced user since November 21, 2009.
dsaputo
 
Posts: 5
Joined: Tue Jul 03, 2012 3:39 pm

Re: Where can I download Build 2181 again?

Postby dsaputo on Tue Aug 07, 2012 2:36 pm

OK, it has nothing to do with os.startfile(), and I'd still like to get Build 2181 again, but here's what I've found so far:

Up until 2.0.0, I had Sublime successfully calling some code I wrote using os.startfile(), which is an easy way on Windows to launch a completely independent process. It didn’t matter if Sublime was 32 or 64-bit, or if Python was 2.6 or 2.7 (Python was always 32-bit). It just worked. The code I wrote depends on sqlite3, wx, wx.grid, and pyodbc. Python 2.6 and 2.7 both come with sqlite3, and the rest were installed in my site-packages directory.

Now it’s all broken. Here’s my exceedingly complex workaround:
1. Uninstall 64-bit Sublime
2. Install 32-bit Sublime
3. Install Python 2.6.6 32-bit, while keeping Python 2.7.3 32-bit
4. Install Pyro4 in both the 2.6.6 and 2.7.3 environments
5. Write some Pyro4 server code that, when triggered, calls the good old os.startfile() in the Python 2.7.3 environment
6. Start the Pyro4 name server
7. Start the Pyro4 server code
8. In the new Sublime command, extend sys.path with [ 'C:\\Python26\\DLLs', 'C:\\Python26\\lib\\site-packages\\pyro4-4.14-py2.6.egg'] so that I can import Pyro4 and then create a Pyro4 client to call the Pyro4 server code which calls os.startfile()

So I’m using Pyro (installed in Python 2.6.6) to bridge the closed Sublime Python 2.6.5 world to the Python 2.7.3 world where all my code lives.

So please, does anyone know where I can either download Build 2181 or know a better workaround? I also use this same process on OS X with Sublime, and I haven’t even started to look into what I’ll have to go through there.
dsaputo
 
Posts: 5
Joined: Tue Jul 03, 2012 3:39 pm

Re: Where can I download Build 2181 again?

Postby jbjornson on Tue Aug 07, 2012 3:10 pm

Sorry, didn't really read about your issue, so can't comment on that, but you should be able to use this link to get 2181:
Windows portable:
http://c758482.r82.cf2.rackcdn.com/Subl ... 202181.zip

Windows setup:
http://c758482.r82.cf2.rackcdn.com/Subl ... 0Setup.exe

You can figure out an old download url by editing the current link and replacing the current build number with the desired build number...
jbjornson
 
Posts: 353
Joined: Tue Oct 27, 2009 4:25 pm
Location: Zurich, Switzerland

Re: Where can I download Build 2181 again?

Postby dsaputo on Tue Aug 07, 2012 7:29 pm

Thanks! I tried that first, but must have fat fingered it or got it scrambled somehow.
dsaputo
 
Posts: 5
Joined: Tue Jul 03, 2012 3:39 pm

Re: Where can I download Build 2181 again?

Postby dsaputo on Tue Aug 07, 2012 8:46 pm

Thanks to the above tip, I redownloaded the 64-bit version of Build 2181, which is here:

http://c758482.r82.cf2.rackcdn.com/Subl ... 0Setup.exe

...and everything works again.
dsaputo
 
Posts: 5
Joined: Tue Jul 03, 2012 3:39 pm

Re: Where can I download Build 2181 again?

Postby dsaputo on Mon Aug 20, 2012 5:22 pm

I was working fine in 2181, and today I get this message:

This build of Sublime Text 2 has expired, please update to a newer one from http://www.sublimetext.com


This is the first time I've had licensed software inform me I cannot use an older version!
dsaputo
 
Posts: 5
Joined: Tue Jul 03, 2012 3:39 pm


Return to Technical Support

Who is online

Users browsing this forum: Yahoo [Bot] and 12 guests